REST APIConnected domains
Poll several connected domains' verification state
Authorization
ApiKey x-api-key<token>
Workspace-owned API key with per-resource permissions.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
hostnames*array<>
Items
1 <= items <= 50revalidate?boolean
Default
falseResponse Body
application/json
curl -X POST "https://example.com/connected-domains/status" \ -H "Content-Type: application/json" \ -d '{ "hostnames": [ "string" ] }'{ "domains": [ { "hostname": "string", "state": "pending", "ownershipStatus": "pending", "certificateStatus": "pending", "routingStatus": "unassigned", "projectId": "string", "instructions": [ { "type": "CNAME", "name": "string", "value": "string", "purpose": "routing", "required": true } ], "dnsHost": "cloudflare", "dcvDelegation": "ok", "verificationErrors": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "checkedAt": "2019-08-24T14:15:22Z" } ]}